GROUPDEL(8)

NAMN
groupdel - ta bort en grupp

SYNOPSIS

groupdel [flaggor] GRUPP

BESKRIVNING

The groupdel command modifies the system account files, deleting all entries that refer to GROUP. The named group must exist.

FLAGGOR

The options which apply to the groupdel command are:

-h, --help
    Visa hjälpmeddelande och avsluta.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-P, --prefix PREFIX_DIR
    Apply changes in the PREFIX_DIR directory and use the configuration files from the PREFIX_DIR directory. This option does not chroot and is intended for preparing a cross-compilation target. Some limitations: NIS and LDAP users/groups are not verified. PAM authentication is using the host files. No SELINUX support.

TÄNK PÅ

Du får inte ta bort den primära gruppen för någon existerande användare. Du måste ta bort användaren innan du tar bort gruppen.

You should manually check all file systems to ensure that no files remain owned by this group.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite). You should not use this variable unless you really need it.

FILER

/etc/group
    Gruppkontoinformation.

/etc/gshadow
    Säker gruppkontoinformation.

AVSLUTNINGSVÄRDEN

Kommandot groupdel avslutas med följande värden:

0
    lyckad

2
    ogiltig kommandosyntax

6
    angiven grupp finns inte

8
    kan inte ta bort användarens primära grupp

10
    kan inte uppdatera gruppfilen

SE OCKSÅ

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupmod(8), useradd(8), userdel(8), usermod(8).